Loading...
Searching...
No Matches
websocketpp::utility::ci_less Struct Reference

Helper less than functor for case insensitive find. More...

`#include <utilities.hpp>`

## Classes

struct | nocase_compare

## Public Member Functions

bool | operator() (std::string const &s1, std::string const &s2) const

## Detailed Description

Helper less than functor for case insensitive find.

Based on code from http://stackoverflow.com/questions/3152241/case-insensitive-stdstring-find

Definition at line 75 of file utilities.hpp.

## Member Function Documentation

## operator()()

bool websocketpp::utility::ci_less::operator() | ( | std::string const & | s1,
|  | std::string const & | s2 ) const

inline

Definition at line 82 of file utilities.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/utilities.hpp